// POKEMON PET (ENHANCED EDITION)
// By Banjo (banjosbbs@hotmail.com)
// Version 1.3
//
// CREDITS: 
// This script is based on a 2009 CyberMistress routine by Banjo, which was itself an update of another author's script.
// Thank you to the original author, who's name and details I sadly no longer have thanks to the CM community's demise. :(
// Images from various cosplay galleries found freely online; if you object to your image(s) being used here, send a message and it will be removed!
// Spanking sounds recorded and edited by Banjo.
// Electicity sounds edited by Banjo, from free sound effects found online (original author unknown).
// Pokemon and all related characters are copyright The Pokemon Company International. Any trademarks featured herein are intended as non-profit parody only.
//
// COPYRIGHT:
// This script, from http://ss.deviatenow.com, is protected by this licence:
// CC BY-NC-ND, see http://creativecommons.org/licenses/by-nc-nd/4.0/
// This copyright refers only to this script itself; it does not include any other included resources (images, music, sounds, etc.) which remain the property of their owners.
//
// SCRIPT RESOURCES
// This contains a list of files included with the script when published to the SexScripts website
/*
 * Resources
 * scripts/Banjo/pokemonpet_ee.groovy
 * images/pokemon/misty-*.jpg
 * images/pokemon/pika-*.jpg
 * images/pokemon/pokeball.png
 * sounds/pokemon/*.wav
 * sounds/zap_*.wav
 * sounds/spanks/slap*.wav
 * sounds/spanks/smack*.wav
 * run_pokemonpet.bat
 */

//Metadata
setInfos(4, "Pokemon Pet EE",
	"Experience what it's like to be the Pokemon 'pet' of a cruel female Trainer",
	"Banjo, ???",
	"v1.3", 0xFFFFFF, "en",
	["femaledom", "formale", "pain", "cbt", "electricity", "spanking", "roleplay"]);

//Basic values and settings
def name = loadString("intro.name")
def quit = false
def randomNumber = getRandom(3)
def trainerResponse = ""
def trainerMessage = ""
def playerChoice = 0
def metTrainer = loadBoolean("Banjo.pokemonpet.metTrainer")

//Images
def cumPic = {
	def picUsed = "misty-6"
	def picChoice = getRandom(5)
	if(picChoice==0)
		picUsed = "misty-6"
	else if(picChoice==1)
		picUsed = "misty-11"
	else if(picChoice==2)
		picUsed = "misty-14"
	else if(picChoice==3)
		picUsed = "misty-18"
	else if(picChoice==4)
		picUsed = "misty-21"
	setImage("pokemon/"+picUsed+".jpg")
}

//Effects
def pokemonGo = {
	show(null)
	playSound("pokemon/throw.wav")
	setImage("pokemon/pokeball.png")
	wait(1)
	playBackgroundSound("pokemon/pokeball.wav")
}

def pokemonReturn = {
	wait(1)
	playBackgroundSound("pokemon/vanish.wav")
	setImage("pokemon/pokeball.png")
	wait(1)
}

//Punishments
def spank = {
	sound, spanks, time, intro, outro ->
	wait(intro)
	(1..spanks).each {
		playBackgroundSound("spanks/"+sound+(1+getRandom(4))+".wav")
		wait(time)
	}
	wait(outro)
}

def stroke = {
	strokes, time, intro ->
	wait(intro)
	(1..strokes).each {
		playBackgroundSound("tom.wav")
		wait(time)
	}
}

def edge = {
	message, time, intro ->
	def noclick = true
	wait(intro)
	while(noclick) {
  		playBackgroundSound("tom.wav")
		if(showButton(message, time) < time)
			noclick = false
	}
}

def zap = {
	intensity, zaps, time, intro, outro ->
	//intensity can be "short", "long" or "extreme"
	wait(intro)
	(1..zaps).each {
		playSound("zap_"+intensity+".wav")
		wait(time)
	}
	wait(outro)
}

def spankzap = {
	sound, spanks, time, intensity, zaps, repeats, intro, outro ->
	wait(intro)
	(1..repeats).each {
		(1..spanks).each {
			playBackgroundSound("spanks/"+sound+(1+getRandom(4))+".wav")
			wait(time)
		}
		(1..zaps).each {
			wait(2)
			playSound("zap_"+intensity+".wav")
			wait(2)
		}
	}
	wait(outro)
}

//START SCRIPT
show(null)
setImage(null)
setImage("pokemon/pokeball.png")
playerChoice = getSelectedValue("<b>POKEMON PET</b>\nEnhanced Edition\n\nBy Banjo\nAdapted from a 2009 CyberMistress script (author unknown)\n\n"
	+"For this script, you will need:\n"
	+"\n - A 9-volt battery (the kind used in smoke detectors, etc.)"
	+"\n - A wooden ruler"
	+"\n - A flat-backed hairbrush or spanking paddle"
	+"\n - An electric fly swatter (AA battery powered)"
	+"\n (see www.extremerestraints.com/shock-prods_67/electric-paddle_448.html for an example)"
	+"\n\n<i>Warning:\nElectroplay - even the mildest forms - should only be engaged in at one's own risk. "
	+"Please exercise all safety precautions and do not attempt if you have a pacemaker or other such implant.</i>"
	+"", ["Quit", "Reset", "Ready"])
if(playerChoice==0)
	quit = true
else if(playerChoice==1) {
	metTrainer = false
	save("Banjo.pokemonpet.metTrainer",metTrainer)
}
if(!quit) {
	if(!metTrainer) {
		show(null)
		setImage("pokemon/misty-1.jpg")
		show("Hi there! My name is Misty.\n\n"
			+"I'm a Pokemon Trainer.\n\n"
			+"I like collecting Pokemon and playing with them.")
		wait(8)
		setImage("pokemon/misty-7.jpg")
		if(!getBoolean("Well, actually, I like to collect boys that ACT like Pokemon.\n\n"
			+"Would you like to be my Pokemon and be under my control?\n\n"
			+"I'm a strict trainer, and you will have to do exactly as I say or I will punish you and lock you in a Pokeball!\n\n"
			+"But if you're good, you will get some fun rewards!\n\nSo, will you be my new little pet?", "Yes", "No")) {
			setImage("pokemon/misty-2.jpg")
		 	show("Maybe some other time, little boy?\n\n"
				+"Run along, then.")
			wait(8)
			quit = true
		}
	} else {
		show(null)
		setImage("pokemon/misty-1.jpg")
		show("Time for some more training, my little Pokemon pet!")
		wait(8)
	}
}
if(!quit) {
	if(!metTrainer) {
		setImage("pokemon/misty-2.jpg")
		show("Alright then, my pet...\n\n"
			+"First, you need to take all your clothes off.\n\n"
			+"Pokemon don't wear clothes!")
		showButton("I'm naked")
		setImage("pokemon/misty-5.jpg")
		show("Good boy.\n\n"
			+"I'm a water Pokemon trainer myself, so I like it when my pets are wet!")
		wait(8)
		setImage("pokemon/misty-6.jpg")
		show("Take hold of your dick and start stroking it until it's hard and wet for me.")
		edge("I'm hard",1,2)
		setImage("pokemon/misty-14.jpg")
		show("Now, little Pokemon boy...\n\n"
			+"I want you to stroke your little penis for me while you look at my tits... but NO CUMMING!")
		stroke(30,0.75,2)
		setImage("pokemon/misty-17.jpg")
		show("Okay, hands off!\n\n"
			+"Ooooh, look at that little penis twitch with frustration! It looks so nice and wet!")
		wait(8)
		setImage("pokemon/misty-11.jpg")
		show("Now, I want you to look at my ass while you stroke yourself. Again, you are NOT to cum, my pet!")
		stroke(30,0.75,2)
		setImage("pokemon/misty-16.jpg")
		show("Hands off!\n\n"
			+"Frustrating, isn't it?\n\n"
			+"That's why we call it 'training', silly boy!")
		wait(8)
		setImage("pokemon/misty-2.jpg")
		if(getBoolean("Tell me, little pet: which do you prefer?\n\n"
			+"Your trainer's tits... or her ass?", "Tits", "Ass")) {
			setImage("pokemon/misty-18.jpg")
			show("Then focus on my cleavage while you stroke that little penis for me some more... but NO CUMMING, you naughty boy!")
		} else {
			setImage("pokemon/misty-19.jpg")
			show("Then lock your eyes on the seat of my shorts and stroke your little cock some more... but NO CUMMING!")
		}
		stroke(50,0.5,2)
		setImage("pokemon/misty-15.jpg")
		if(getBoolean("STOP!\n\nI can tell you're enjoying this so far.\n\nDo you often play with your little dick when you are alone?"))
			show("You do? That's very bad of you, my pet!\n\n"
				+"The Pokemon boys I train are not allowed to touch their penis without my supervision!")
		else
			show("NO? Are you lying to me?\n\n"
				+"I know all boys do it but you even LIE about it!\n\n"
				+"I'm going to have to teach you a hard lesson, it seems.")
		setImage("pokemon/misty-9.jpg")
		wait(8)
		setImage("pokemon/misty-10.jpg")
		show("I think it's time to introduce you to one of my other pets...")
		wait(8)
		pokemonGo()
		setImage("pokemon/pika-2.jpg")
		wait(2)
		show("Do you like her?")
		wait(8)
		show("Besides water Pokemon, I also keep some female Pikachu.\n\n"
			+"They come in very handy during training sessions with naughty boy Pokemon.")
		wait(8)
		setImage("pokemon/misty-2.jpg")
		playerChoice = getSelectedValue("You know what kind of Pokemon a Pikachu is, right?",["Water?","Fire?","Electric?","Grass?","Flying?"])
		if(playerChoice==2)
			show("That's right: electricity!\n\n"
				+"They can zap naughty boys that don't behave!")
		else
			show("No, you silly boy!\n\nPikachu are electric Pokemon!\n\n"
				+"That means they can ZAP naughty boys like you who don't behave!")
		wait(8)
		setImage("pokemon/pika-9.jpg")
		show("But Pikachu's don't just use electricity... they can use their large tails to spank naughty boys, too!")
		wait(8)
		setImage("pokemon/misty-15.jpg")
		show("Now, Pikachu is going to punish you for me.\n\n"
			+"She will start by spanking your naughty dick with her tail.")
		wait(8)
		setImage("pokemon/pika-6.jpg")
		show("Pikachu: Dick Slap Attack!\n\n"
			+"(use the ruler to spank your cock)")
		spank("slap",6,2,2,5)
		wait(5)
		setImage("pokemon/misty-20.jpg")
		show("Aaaaawww! Did that hurt?\n\n"
			+"Good! Pet boys that don't behave will have to learn their lesson.")
		wait(8)
		setImage("pokemon/misty-14.jpg")
		show("Now, stroke your sore cock for me until I tell you to stop.")
		stroke(20,0.75,2)
		show("Stroke that penis... but don't you dare to cum!")
		stroke(30,0.5,0)
		setImage("pokemon/misty-16.jpg")
		show("Hands off!")
		wait(5)
		setImage("pokemon/pika-6.jpg")
		show("Pikachu: Dick Slap Attack again!\n\n"
			+"(use the ruler to spank your cock)")
		spank("slap",10,2,2,5)
		setImage("pokemon/misty-11.jpg")
		show("Now, let's warm up that ass of yours a bit...")
		wait(8)
		setImage("pokemon/pika-5.jpg")
		show("Pikachu: Tail Spank Attack!\n\n"
			+"(use the hairbrush or paddle to spank your butt)")
		spank("smack",20,1,2,5)
		setImage("pokemon/misty-2.jpg")
		show("Stings, huh?\n\n"
			+"But your cute ass doesn't look red enough to me yet, my boy...")
		wait(8)
		setImage("pokemon/pika-5.jpg")
		show("Again, Pikachu: Tail Spank Attack!\n\n"
			+"(use the hairbrush or paddle to spank your butt)")
		spank("smack",30,1,2,5)
		setImage("pokemon/misty-5.jpg")
		show("Much better!\n\n"
			+"There's nothing like a good sound spanking to punish a naughty pet boy!")
		wait(8)
		setImage("pokemon/misty-2.jpg")
		show("Now that we've got you a bit warmed up, it's almost time for some REAL training.")
		wait(8)
		show("But first, let's have some fun with those balls of yours...")
		wait(8)
		setImage("pokemon/misty-3.jpg")
		show("Okay, Pikachu: Butt Zap Attack!")
		wait(8)
		setImage("pokemon/pika-6.jpg")
		show("(use the ruler to slap your balls)")
		spank("slap",10,1,2,5)
		setImage("pokemon/misty-2.jpg")
		show("Good.\n\n"
			+"You should be ready for the real training to take place now, boy.")
		wait(8)
		show("But before we start, show my Pikachu how much you like her by stroking your little penis for her.")
		wait(8)
		setImage("pokemon/pika-4.jpg")
		show("Stroke for Pikachu, my pet... but no cumming, remember!")
		stroke(30,0.75,2)
		setImage("pokemon/misty-12.jpg")
		show("Stop stroking!")
		wait(8)
		setImage("pokemon/misty-4.jpg")
		show("Alright, boy... time for the next part of your training!")
		wait(8)
		setImage("pokemon/pika-8.jpg")
		show("My cute little Pikachu is going to help me again... only this time, using her electricity powers.")
		wait(8)
		setImage("pokemon/misty-3.jpg")
		show("Are you frightened, boy? One command from me and Pikachu will FRY your naughty boy Pokemon parts!")
		wait(8)
		setImage("pokemon/pika-7.jpg")
		show("In fact, this Pikachu LOVES punishing little boys like you. It gets her all excited!")
		wait(8)
		setImage("pokemon/misty-5.jpg")
		show("Okay, Pikachu: zap his ass!")
		wait(8)
		setImage("pokemon/pika-5.jpg")
		show("Butt Zap Attack!\n\n(zap your butt with the electric flyswatter, alternating cheeks)")
		zap("short",10,1,2,5)
		setImage("pokemon/misty-2.jpg")
		show("I see those zaps taught you a lesson, but we aren't done yet, boy...")
		wait(8)
		setImage("pokemon/misty-13.jpg")
		show("Moisture conducts electricity, so why don't you help Pikachu punish you by getting your dick nice and hard and wet again?")
		edge("I'm hard",0.75,2)
		setImage("pokemon/pika-1.jpg")
		show("Stroke for Pichachu, little pet boy!\n\n"
			+"But NO cumming! Stay on the edge!")
		stroke(30,0.5,0)
		setImage("pokemon/misty-4.jpg")
		show("STOP!\n\n"
			+"Pikachu: zap my pet boy's naughty dick that he's been playing with so much!")
		wait(6)
		setImage("pokemon/pika-2.jpg")
		show("Dick Zap Attack!\n\n(hold the 9V battery against the tip of your dick in time with the 'zaps', each time for as long as you can stand)")
		zap("long",5,2,2,5)
		setImage("pokemon/misty-4.jpg")
		show("Hmm, did mean Pikachu hurt your poor dick?")
		wait(8)
		setImage("pokemon/pika-4.jpg")
		show("Now, stop whimpering and give Pikachu some more strokes.\n\n"
			+"Edge for her, my pet!")
		stroke(30,0.5,2)
		setImage("pokemon/misty-2.jpg")
		show("Hands off!\n\n"
			+"Pikachu: Dick Zap Attack again!")
		wait(6)
		setImage("pokemon/pika-3.jpg")
		show("Dick Zap Attack!\n\n(hold the 9V battery against the tip of your dick in time with the 'zaps', each time for as long as you can stand)")
		zap("long",5,2,2,5)
		setImage("pokemon/misty-9.jpg")
		show("Ha ha! That look on your face is so funny!\n\nYou must be really learning your lesson.")
		wait(8)
		setImage("pokemon/misty-7.jpg")
		show("Still, we've been paying a lot of attention to that penis of yours, but not nearly enough attention to your BALLS!")
		wait(8)
		setImage("pokemon/misty-13.jpg")
		show("But since I'm a NICE trainer, I'll let you choose how you want Pikachu to punish your balls...")
		wait(8)
		setImage("pokemon/misty-3.jpg")
		randomNumber = getRandom(3)
		playerChoice = getSelectedValue("Would you like Pikachu to slap or zap your balls, my pet?", ["Slap", "Zap", "Neither!"])
		if(playerChoice==2) {
			trainerMessage = "In that case, we'll do both!\n\n"
			trainerResponse = "slapzap"
		} else if((playerChoice==0) && (randomNumber==0)) {
			trainerMessage = "As you wish!\n\n"
			trainerResponse = "slap"
		} else if((playerChoice==0) && (randomNumber==1)) {
			trainerMessage = "I don't think so, pet boy!\n\n"
			trainerResponse = "zap"
		} else if((playerChoice==1) && (randomNumber==0)) {
			trainerMessage = "I don't think so, pet boy!\n\n"
			trainerResponse = "slap"
		} else if((playerChoice==1) && (randomNumber==1)) {
			trainerMessage = "As you wish!\n\n"
			trainerResponse = "zap"
		} else if(randomNumber==2) {
			trainerMessage = "Not today little Pokemon... I think we'll do both!"
			trainerResponse = "slapzap"
		}
		if(trainerResponse=="slap") {
			setImage("pokemon/misty-12.jpg")
			show(""+trainerMessage+"Smack his balls, Pikachu! Fast!")
			wait(8)
			setImage("pokemon/pika-6.jpg")
			show("Ball Slap Attack... rapid fire!\n\n"
				+"(slap your balls with the ruler really fast and medium hard)")
			spank("slap",25,0.5,2,5)
		} else if(trainerResponse=="zap") {
			setImage("pokemon/misty-12.jpg")
			show(""+trainerMessage+"Fry his nuts, Pikachu!")
			wait(8)
			setImage("pokemon/pika-1.jpg")
			show("Ball Zap Attack!\n\n"
				+"(zap your balls with the fly swatter)")
			zap("short",5,1,2,5)
		} else if(trainerResponse=="slapzap") {
			setImage("pokemon/misty-12.jpg")
			show(""+trainerMessage+"Pikachu: Ball Torment Attack!")
			wait(8)
			setImage("pokemon/pika-5.jpg")
			show("HURT the boy, Pikachu!\n\n"
				+"(slap your balls with the ruler, then zap them with the fly swatter. Follow the sounds.)")
			spankzap("slap",5,1,"long",1,5,2,5)
		}
		setImage("pokemon/misty-9.jpg")
		show("Are those tears in your eyes, boy?")
		wait(8)
		setImage("pokemon/misty-20.jpg")
		show("Well, that's what it takes sometimes for naughty pets like you to learn their lesson.")
		wait(8)
		setImage("pokemon/pika-8.jpg")
		show("Pikachu: back in your Pokeball!")
		wait(8)
		pokemonReturn()
		setImage("pokemon/misty-13.jpg")
		show("Alright. Since you took your punishment so well, I'll be nice and give you a chance to cum.\n\n"
			+"Training is about rewards as well as punishments, after all... right?")
		wait(8)
		setImage("pokemon/misty-1.jpg")
		show("But first, just to make sure you're learning, I want you to say out loud in a big clear voice:\n\n"
			+"'I am a naughty little Pokemon.'")
		wait(8)
		show("Again, nice and loud:\n\n"
			+"'I am a naughty little Pokemon.'")
		wait(8)
		setImage("pokemon/misty-21.jpg")
		show("Say:\n\n"
			+"'Misty is my trainer. I must obey her or I will be punished.'")
		wait(8)
		show("Again... or I WILL punish you, little pet!\n\n"
			+"'Misty is my trainer. I must obey her or I will be punished.'")
		wait(8)
		setImage("pokemon/misty-5.jpg")
		show("Good boy!\n\n"
			+"Now, it's time for your reward...")
		wait(8)
		setImage("pokemon/misty-6.jpg")
		show("Stroke your dick and stay on the edge for me, my pet.\n\n"
			+"Let me know when you're there.")
		edge("I'm on the edge",1,2)
		setImage("pokemon/misty-17.jpg")
		show("Hands off!")
		wait(8)
		setImage("pokemon/misty-2.jpg")
		show("Learning to cum on command will also be part of your training, my pet.")
		wait(8)
		setImage("pokemon/misty-5.jpg")
		show("When you say 'Ready', you will have just 10 seconds to cum... or you'll be punished SEVERELY!\n\n"
			+"Are you ready?")
		showButton("Ready")
		cumPic()
		show("CUM, little Pokemon!\n\n"
			+"Cum NOW!\n\n"
			+"You have 10 seconds!")
		if(showButton("I've cum!", 10) < 10) {
			setImage("pokemon/misty-8.jpg")
			show("Good boy.\n\n"
				+"Good pet.")
			wait(8)
		}
		else {
			setImage("pokemon/misty-16.jpg")
			show("Hands off!")
			wait(8)
			setImage("pokemon/misty-2.jpg")
			show("I told you: 10 seconds! You were too late, my pet.\n\n"
				+"Well, you will still get to cum... but now it will HURT!")
			wait(8)
			pokemonGo()
			show("Pikachu!")
			wait(3)
			setImage("pokemon/pika-2.jpg")
			wait(3)
			setImage("pokemon/misty-20.jpg")
			show("Fry his little dick, Pikachu!")
			wait(4)
			setImage("pokemon/pika-2.jpg")
			show("Dick Zap Attack!\n\n"
				+"(press the battery against the underside of your dickhead and leave it there until the sound stops)")
			zap("extreme",1,2,2,5)
			setImage("pokemon/misty-14.jpg")
			show("Good.\n\n"
				+"Now, my naughty pet: stroke and get as close to cumming as you possibly can... and then...")
			edge("I'm going to cum!",0.5,2)
			setImage("pokemon/pika-4.jpg")
			show("Pikachu: ZAP HIS DICK AS HE CUMS!\n\n"
				+"(press the battery against the tip of your dick and CUM!)\n\n"
				+"Yeah, shoot those lighning bolts of pain and pleasure for me, my pet!")
			zap("extreme",1,2,1,5)
			setImage("pokemon/misty-9.jpg")
			show("Ha ha! I think Pikachu enjoyed that, boy!")
			wait(8)
			setImage("pokemon/pika-8.jpg")
			show("Back in your Pokeball, Pikachu!")
			wait(8)
			pokemonReturn()
		}
//		metTrainer = true
//		save("Banjo.pokemonpet.metTrainer",metTrainer)
	} else {
		show("(Sorry!)\n\n(Additional training sessions are not yet available.)\n\n(Select 'Reset' from the script's options to play the original session again.)")
		showButton("Okay")
	}
		setImage("pokemon/misty-1.jpg")
		show("Okay.\n\n"
			+"That's all for your training today, boy.")
		wait(8)
		show("Now, get out of here before I lock you in a Pokeball!")
		wait(8)
		quit = true
}
show(null);
setImage(null);
if(loadBoolean("setting.newsetup")) {
	if(loadBoolean("setting.reload")) {
		return "system/welcome"
	}
	else {
		return "system/exit"
	}
}
else {
	return null
}

//END OF SCRIPT
